using Common.Model;

namespace Common.Database
{
    public interface IDatabase
    {
        public void Store(Product product);
        public void Delete<T>(int id) where T : Base;
        public void Update<T>(T entity) where T : Base;
        public IEnumerable<T> List<T>() where T : Base;
    }
}
